Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Offer_Database< LOCK_TYPE >::Offer_Map_Entry Struct Reference

`#include <Offer_Database.h>`

Collaboration diagram for TAO_Offer_Database< LOCK_TYPE >::Offer_Map_Entry:

[legend]
List of all members.

## Public Attributes
TAO_Offer_Map * | offer_map_
CORBA::ULong | counter_
LOCK_TYPE | lock_

### template<class LOCK_TYPE>
struct TAO_Offer_Database< LOCK_TYPE >::Offer_Map_Entry

## Member Data Documentation

template<class LOCK_TYPE>
CORBA::ULong TAO_Offer_Database< LOCK_TYPE >::Offer_Map_Entry::counter_

template<class LOCK_TYPE>
LOCK_TYPE TAO_Offer_Database< LOCK_TYPE >::Offer_Map_Entry::lock_

template<class LOCK_TYPE>
TAO_Offer_Map* TAO_Offer_Database< LOCK_TYPE >::Offer_Map_Entry::offer_map_

The documentation for this struct was generated from the following file:

- Offer_Database.h